<div class="ui grid">
  <div class="one wide mobile two wide tablet three wide computer column"></div>
  <div class="fourteen wide mobile twelve wide tablet ten wide computer column">
    <app-title [title]="formName"></app-title>
    <form class="ui form form--customer-add" [formGroup]="customerAddForm" [ngClass]="{ 'error': customerAddForm.invalid && customerAddForm.touched }" (ngSubmit)="onSubmit()" dir="rtl">
      <div class="three fields">
        <!--first name-->
        <div class="field" formGroupName="name">
          <label for="first-name">نام</label>
          <input type="text" id="first-name" formControlName="first">
          <!--errors-->
          <div class="ui error message" *ngIf="customerAddForm.controls.name.controls.first.invalid && customerAddForm.controls.name.controls.first.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.name.controls.first.errors.required">
                نمی‌تواند خالی باشد
              </li>
              <li *ngIf="customerAddForm.controls.name.controls.first.errors.text">
                غیر مجاز
              </li>
            </ul>
          </div>
        </div>
        <!--last name-->
        <div class="field" formGroupName="name">
          <label for="last-name">نام خانوادگی</label>
          <input type="text" id="last-name" formControlName="last" tabindex="2">
          <!--errors-->
          <div class="ui error message" *ngIf="customerAddForm.controls.name.controls.last.invalid && customerAddForm.controls.name.controls.last.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.name.controls.last.errors.required">
                نمی‌تواند خالی باشد
              </li>
              <li *ngIf="customerAddForm.controls.name.controls.last.errors.text">
                غیر مجاز
              </li>
            </ul>
          </div>
        </div>
        <!--father name-->
        <div class="field">
          <label for="father-name">
            نام پدر
            <sup>(اختیاری)</sup>
          </label>
          <input type="text" id="father-name" formControlName="father_name" tabindex="3">
          <!--error-->
          <div class="ui error message" *ngIf="customerAddForm.controls.father_name.invalid && customerAddForm.controls.father_name.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.father_name.errors.text">
                غیر مجاز
              </li>
            </ul>
          </div>
        </div>
      </div>

      <div class="ui hidden divider"></div>

      <div class="fields">
        <!--join date-->
        <div class="four wide field">
          <label for="join-date">
            تاریخ عضویت
            <sup>(اختیاری)</sup>
          </label>
          <input tabindex="4" id="join-date" dir="rtl" name="date" formControlName="join_date" [dpDayPicker]="'config'" [mode]="'day'" [theme]="'dp-material'" >
        </div>
        <!--stocks-->
        <div class="four wide field">
          <label for="stocks-qty">تعداد سهام</label>
          <input type="number" min="0" id="stocks-qty" formControlName="stocks" tabindex="5">
          <!--errors-->
          <div class="ui error message" *ngIf="customerAddForm.controls.stocks.invalid && customerAddForm.controls.stocks.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.stocks.errors.required">
                نباید خالی باشد
              </li>
              <li *ngIf="customerAddForm.controls.stocks.errors.number">
                غیر مجاز
              </li>
            </ul>
          </div>
        </div>
        <!--initial membership fee-->
        <div class="four wide field">
          <label for="initial-membership-fee">حق عضویت اولیه</label>
          <input type="number" min="0" id="initial-membership-fee" formControlName="initial_membership_fee" tabindex="6">
          <!--errors-->
          <div class="ui error message" *ngIf="customerAddForm.controls.initial_membership_fee.invalid && customerAddForm.controls.initial_membership_fee.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.initial_membership_fee.errors.required">
                نباید خالی باشد
              </li>
              <li *ngIf="customerAddForm.controls.initial_membership_fee.errors.number">
                باید عدد باشد
              </li>
            </ul>
          </div>
        </div>
        <!--initial installments amount-->
        <div class="four wide field">
          <label for="initial-installments-amount">مجموع پرداختی‌های اولیه</label>
          <input type="number" min="0" id="initial-installments-amount" formControlName="initial_installments_amount" tabindex="7">
          <!--errors-->
          <div class="ui error message" *ngIf="customerAddForm.controls.initial_installments_amount.invalid && customerAddForm.controls.initial_installments_amount.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.initial_installments_amount.errors.required">
                نباید خالی باشد
              </li>
              <li *ngIf="customerAddForm.controls.initial_installments_amount.errors.number">
                باید عدد باشد
              </li>
            </ul>
          </div>
        </div>
      </div>

      <div class="ui hidden divider"></div>

      <div class="fields">
        <!--national id-->
        <div class="five wide field">
          <label for="national-id">شماره ملی</label>
          <input type="text" id="national-id" formControlName="national_id" dir="ltr" tabindex="8">
          <!--errors-->
          <div class="ui error message" *ngIf="customerAddForm.controls.national_id.invalid && customerAddForm.controls.national_id.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.national_id.errors.required">
                نمی‌تواند خالی باشد
              </li>
              <li *ngIf="customerAddForm.controls.national_id.errors.nationalId">
                {{ customerAddForm.controls.national_id.errors.nationalId }}
              </li>
            </ul>
          </div>
        </div>
        <!--mobile-->
        <div class="five wide field">
          <label for="mobile">شماره موبایل</label>
          <input type="text" id="mobile" formControlName="mobile" dir="ltr" tabindex="9">
          <!--errors-->
          <div class="ui error message" *ngIf="customerAddForm.controls.mobile.invalid && customerAddForm.controls.mobile.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.mobile.errors.required">
                نمی‌تواند خالی باشد
              </li>
              <li *ngIf="customerAddForm.controls.mobile.errors.length">
                تعداد ارقام غیر مجاز
              </li>
              <li *ngIf="customerAddForm.controls.mobile.errors.invalid">
                شماره موبایل نامعتبر
              </li>
            </ul>
          </div>
        </div>
      </div>

      <div class="ui hidden divider"></div>

      <!--passwords-->
      <div class="fields" formGroupName="password">
        <!--first-->
        <div class="five wide field">
          <label for="password">رمز</label>
          <input type="password" id="password" formControlName="first" dir="ltr" tabindex="10">
          <!--errors-->
          <div class="ui error message" *ngIf="customerAddForm.controls.password.controls.first.invalid && customerAddForm.controls.password.controls.first.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.password.controls.first.errors.minlength">حداقل 6 کاراکتر باشد</li>
              <li *ngIf="customerAddForm.controls.password.controls.first.errors.required">نمی‌تواند خالی باشد</li>
            </ul>
          </div>
          {{ customerAddForm.controls.password.controls.first.errors | json }}
        </div>
        <!--confirm-->
        <div class="five wide field">
          <label for="password-confirm">تایید رمز</label>
          <input type="password" id="password-confirm" formControlName="confirm" dir="ltr" tabindex="11">
          <!--error-->
          <div class="ui error message" *ngIf="customerAddForm.controls.password.invalid && customerAddForm.controls.password.controls.confirm.touched">
            <ul class="list">
              <li *ngIf="customerAddForm.controls.password.controls.confirm.errors.passwordMatch">عدم تطابق با رمز اصلی</li>
              <li *ngIf="customerAddForm.controls.password.controls.confirm.errors.required">نمی‌تواند خالی باشد</li>
            </ul>
          </div>
        </div>
        {{ customerAddForm.controls.password.controls.confirm.errors | json }}
      </div>

      {{ customerAddForm.controls.password.errors | json }}


      <div class="ui hidden divider"></div>

      <div class="field form__button--submit">
        <button class="ui button green button--farsi" [disabled]="!customerAddForm.valid" tabindex="12">
          <i class="check icon icon--submit"></i>
          ثبت
        </button>
      </div>
    </form>
  </div>
</div>
